from sqlalchemy import Column, Boolean, String, Integer, Numeric
from sqlalchemy.orm import relationship, backref
from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy import create_engine
  
Base = declarative_base() 
 
class Product(Base):
    __tablename__ = 'products'
    id=Column(Integer, primary_key=True)
    title=Column('title', String(32))
    in_stock=Column('in_stock', Boolean)
    quantity=Column('quantity', Integer)
    price=Column('price', Numeric)

    def __str__(self):
        return self.title
 
engine = create_engine('sqlite:///:memory:')
 
from sqlalchemy.orm import sessionmaker
session = sessionmaker()
session.configure(bind=engine)
s = session()

Base.metadata.create_all(engine)

product = Product(title="Produit 1", in_stock=True, quantity=50, price=5.99)
s.add(product)
product = Product(title="Produit 2", in_stock=False, quantity=0, price=7.99)
s.add(product)
print("---- print 1 ----")
for p in s.query(Product).all():
    print(p)

s.commit() 
s.delete(product)
s.commit()
print("---- print 2 ----")
for p in s.query(Product).all():
    print(p)
